=== debian/changelog ===
mercurial (5.3.1-1ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Explictly call python2 instead of python

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Mar 2020 21:04:26 +0100

mercurial (5.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - drop proposed_upstream__correct-zeroconf-doc, included upstream.
  * Stop moving the help text and templates to /usr/share/mercurial, doesn't
    work right with the changes in 5.3 and isn't worth the effort.

 -- Julien Cristau <jcristau@debian.org>  Fri, 06 Mar 2020 10:38:36 +0100
