=== debian/control ===
Source: mercurial
Section: vcs
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders:
 Vincent Danjean <vdanjean@debian.org>,
 Javi Merino <vicho@debian.org>,
 Tristan Seligmann <mithrandi@debian.org>,
Build-Depends:
 bash-completion,
 debhelper-compat (= 9),
 dh-python,
 gettext,
 netbase,
 patchutils (>= 0.2.25),
 python-all-dev (>= 2.6.6-3~),
 python-docutils,
 python-roman,
 rename,
 unzip,
 zip,
 less <!nocheck>,
Standards-Version: 4.0.0
Homepage: https://www.mercurial-scm.org/
Vcs-Git: https://salsa.debian.org/python-team/applications/mercurial.git
Vcs-Browser: https://salsa.debian.org/python-team/applications/mercurial

Package: mercurial-common
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Recommends: ca-certificates, mercurial (>= ${source:Version}), sensible-utils
Suggests: python-mysqldb, python-openssl, python-pygments, wish
Breaks: mercurial (<< ${source:Version})
Replaces: mercurial (<< 2.6.3)
Description: easy-to-use, scalable distributed version control system (common files)
 Mercurial is a fast, lightweight Source Control Management system designed
 for efficient handling of very large distributed projects.
 .
 This package contains the architecture independent components of Mercurial,
 and is generally useless without the mercurial package.

Package: mercurial
Architecture: any
Depends:
 mercurial-common (= ${source:Version}),
 ucf (>= 2.0020),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Recommends: openssh-client
Suggests: kdiff3 | kdiff3-qt | kompare | meld | tkcvs | mgdiff, qct
Breaks:
 hgsubversion (<< 1.9.3+git20190419+6a6ce-2~),
 hgview-common (<< 1.8.1),
 mercurial-crecord (<= 0.20140626-1),
 mercurial-git (<= 0.8.12-1.),
 qct (<< 1.7-2~),
Description: easy-to-use, scalable distributed version control system
 Mercurial is a fast, lightweight Source Control Management system designed
 for efficient handling of very large distributed projects.
 .
 Its features include:
  * O(1) delta-compressed file storage and retrieval scheme
  * Complete cross-indexing of files and changesets for efficient exploration
    of project history
  * Robust SHA1-based integrity checking and append-only storage model
  * Decentralized development model with arbitrary merging between trees
  * High-speed HTTP-based network merge protocol
  * Easy-to-use command-line interface
  * Integrated stand-alone web interface
  * Small Python codebase
 .
 This package contains the architecture dependent files.
