=== debian/tests/control ===
Tests: testsuite
Depends:
    @,
    zip,
    unzip,
    netbase,
    subversion,
    python-subversion,
    cvs,
    bzr,
    tla,
    git,
    darcs,
    gcc,
    python2.7-dev,
    less,
    gettext,
    pylint,
    python-pygments,
    python-docutils,
    sqlite3,
    clang-format,
#   python-vcr, (https://tracker.debian.org/news/1056660/accepted-vcrpy-201-4-source-into-unstable/)
#   python-fuzzywuzzy, (Bug#936574)
#   black (>= 19.10b0), (Bug#944292)
Restrictions: allow-stderr
