## mercurial 5.4

=== debian/changelog ===
mercurial (5.4-1ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Explictly call python2 instead of python

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Jun 2020 10:29:41 +0200

mercurial (5.4-1) unstable; urgency=medium

  * Team upload.

  [ Philippe Pepiot ]
  * Ship the chg binary (closes: #926384).  chg can be used as an
    alternative "hg" command, it spawns a mercurial server and uses a
    lightweight client written in C.

  [ Julien Cristau ]
  * Add Pulkit Goyal's key (EB851395B4223EE2F7BA0B28DA54740BF08732BA) to
    the keyring for upstream tarball signatures.
  * New upstream release.
  * Fix test-doctest.py now assuming it's being run from a hg repo.
  * autopkgtests: explicitly run the testsuite with python2.

 -- Julien Cristau <jcristau@debian.org>  Thu, 21 May 2020 12:35:06 +0200

mercurial (5.3.2-1) unstable; urgency=medium

  * New upstream release

 -- Julien Cristau <jcristau@debian.org>  Thu, 16 Apr 2020 10:35:09 +0200
