=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 
 override_dh_auto_build:
 	$(MAKE) all
+	$(MAKE) -C contrib/chg all
 	# Do not start a line with a word with a dot in a manpage
 	sed -i -e 's,^[.]\(hgignore\|hg/hgrc\),\\fP\1,' doc/hg.1
