## mercurial 5.4.1

=== debian/changelog ===
mercurial (5.4.1-1+exp1ubuntu1) groovy; urgency=medium

  * Blacklist for test-wireproto-exchangev2-shallow.t for occasional
    failures.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 10 Jul 2020 02:05:50 +0100

mercurial (5.4.1-1+exp1) experimental; urgency=medium

  * Upload to experimental a python3 version of mercurial

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jul 2020 21:12:04 -0400

mercurial (5.4.1-1) unstable; urgency=medium

  * Team upload.
  * Remove python-subversion from autopkgtest dependencies
    (closes: #956007)
  * New upstream bugfix release.
  * Fix test-clone-uncompressed.t failure on slow/loaded hosts.
  * Blacklist test-narrow-shallow.t for occasional failures.
  * Blacklist test-debugcommands.t for occasional failures.

 -- Julien Cristau <jcristau@debian.org>  Thu, 25 Jun 2020 12:18:13 +0200

mercurial (5.4-2) unstable; urgency=medium

  * Team upload.
  * Blacklist test-nointerrupt.t for being racy.
  * Don't install the hgext.git extension as that namespace is used by
    the mercurial-git package, and ours is still very experimental.
    Closes: #961245

 -- Julien Cristau <jcristau@debian.org>  Thu, 18 Jun 2020 15:38:51 +0200

mercurial (5.4-1+exp1) experimental; urgency=medium

  * Team upload.
  * Use python3 (closes: #937009).
  * mercurial Provides python3-mercurial so extensions can depend on
    that instead of a hazardous versioned dependency.
  * Add Breaks on all extensions.  To be updated as we don't know what
    version will use python3.

 -- Julien Cristau <jcristau@debian.org>  Thu, 21 May 2020 12:44:39 +0200
