=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mercurial
 Section: vcs
 Priority: optional
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders:
  Vincent Danjean <vdanjean@debian.org>,
  Javi Merino <vicho@debian.org>,
@@ -13,9 +14,9 @@
  gettext,
  netbase,
  patchutils (>= 0.2.25),
- python-all-dev (>= 2.6.6-3~),
- python-docutils,
- python-roman,
+ python3-all-dev,
+ python3-docutils,
+ python3-roman,
  rename,
  unzip,
  zip,
@@ -27,9 +28,9 @@
 
 Package: mercurial-common
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}
 Recommends: ca-certificates, mercurial (>= ${source:Version}), sensible-utils
-Suggests: python-mysqldb, python-openssl, python-pygments, wish
+Suggests: python3-mysqldb, python3-openssl, python3-pygments, wish
 Breaks: mercurial (<< ${source:Version})
 Replaces: mercurial (<< 2.6.3)
 Description: easy-to-use, scalable distributed version control system (common files)
@@ -45,16 +46,21 @@
  mercurial-common (= ${source:Version}),
  ucf (>= 2.0020),
  ${misc:Depends},
- ${python:Depends},
+ ${python3:Depends},
  ${shlibs:Depends},
 Recommends: openssh-client
 Suggests: kdiff3 | kdiff3-qt | kompare | meld | tkcvs | mgdiff, qct
 Breaks:
- hgsubversion (<< 1.9.3+git20190419+6a6ce-2~),
- hgview-common (<< 1.8.1),
- mercurial-crecord (<= 0.20140626-1),
- mercurial-git (<= 0.8.12-1.),
- qct (<< 1.7-2~),
+ hgsubversion (<= 1.9.3+git20190419+6a6ce-3),
+ hgview-common,
+ mercurial-crecord (<= 0.20151121-2),
+ mercurial-git (<= 0.8.12-1.2),
+ qct,
+ mercurial-keyring (<= 1.3.0-1),
+ mercurial-server,
+ python-sphinx-patchqueue,
+ trac-mercurial,
+Provides: python3-mercurial
 Description: easy-to-use, scalable distributed version control system
  Mercurial is a fast, lightweight Source Control Management system designed
  for efficient handling of very large distributed projects.
