## mercurial 5.5

=== debian/changelog ===
mercurial (5.5-2) unstable; urgency=medium

  * (Hopefully) fix flakiness in test-stdio.py.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 17 Aug 2020 10:33:16 +0200

mercurial (5.5-1) unstable; urgency=medium

  * New upstream release.
    - Fix Python 3 issues with hgext.convert.subversion (closes: #968466).
  * Install zsh completion to vendor-completions (closes: #963253).
  * Install run-tests.py for downstream packages to use (closes: #930488).

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 16 Aug 2020 17:00:20 +0200

mercurial (5.4.1-3) unstable; urgency=medium

  * Trim trailing whitespace.
  * Bump debhelper from deprecated 9 to 13.
  * Rely on pre-initialized dpkg-architecture variables.
  * Set Rules-Requires-Root: no.
  * Adjust Breaks: mercurial-crecord (closes: #968035).
  * Remove unused debian/source/include-binaries.
  * Bump Standards-Version to 4.5.0.
  * Blacklist test-check-format.t.
  * Blacklist test-wireproto-exchangev2-shallow.t.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 10 Aug 2020 23:06:15 -0000

mercurial (5.4.1-2) unstable; urgency=medium

  * Upload to unstable, switch to python3; Closes: #937009, #948610

 -- Sandro Tosi <morph@debian.org>  Thu, 16 Jul 2020 15:05:37 -0400
