=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: mercurial
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders:
  Vincent Danjean <vdanjean@debian.org>,
  Javi Merino <vicho@debian.org>,
  Tristan Seligmann <mithrandi@debian.org>,
 Build-Depends:
  bash-completion,
- debhelper-compat (= 9),
+ debhelper-compat (= 13),
  dh-python,
  gettext,
  netbase,
@@ -21,10 +20,11 @@
  unzip,
  zip,
  less <!nocheck>,
-Standards-Version: 4.0.0
+Standards-Version: 4.5.0
 Homepage: https://www.mercurial-scm.org/
 Vcs-Git: https://salsa.debian.org/python-team/applications/mercurial.git
 Vcs-Browser: https://salsa.debian.org/python-team/applications/mercurial
+Rules-Requires-Root: no
 
 Package: mercurial-common
 Architecture: all
@@ -53,7 +53,7 @@
 Breaks:
  hgsubversion (<= 1.9.3+git20190419+6a6ce-3),
  hgview-common,
- mercurial-crecord (<= 0.20151121-2),
+ mercurial-crecord (<< 0.20151121-2~),
  mercurial-git (<= 0.8.12-1.2),
  qct,
  mercurial-keyring (<= 1.3.0-1),
