=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 PYVERS=$(shell py3versions -vs)
 PYVER_DEFAULT=$(shell py3versions -vd)
-DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+include /usr/share/dpkg/architecture.mk
 ifeq ($(DEB_HOST_ARCH),mips64el)
         # Work around #871514
         export DEB_CFLAGS_MAINT_APPEND = -mno-lra
@@ -61,8 +61,7 @@
 install-python%:
 	python$* setup.py install --root $(CURDIR)/debian/tmp --install-layout=deb
 
-override_dh_install:
-	dh_install
+execute_after_dh_install:
 	if test -d $(CURDIR)/debian/mercurial ; then \
 		$(MAKE) -f debian/rules install-archdep ; \
 	fi
@@ -81,6 +80,10 @@
 	find debian/mercurial-common/usr/lib \
 		-name '*.so' ! -type d -delete , \
 		-type d -empty -delete
+	install -DTm 644 contrib/zsh_completion \
+	    debian/mercurial-common/usr/share/zsh/vendor-completions/_mercurial
+	install -DTm 644 tests/run-tests.py \
+	    debian/mercurial-common/usr/share/mercurial/tests/run-tests.py
 
 override_dh_python3-arch:
 	dh_python3
@@ -97,4 +100,3 @@
 	@echo "Restore it from sources before building the package"
 	@echo "Aborting."
 	exit 1
-
